View Issue Details

IDProjectCategoryView StatusLast Update
12076Bug reports[All Projects] Survey designpublic2017-05-22 17:39
ReporterseguiAssigned Touser78869 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.58.x 
Target VersionFixed in Version2.64.x 
Summary12076: Array of texts set to "numbers only" doesn't allow negative values
DescriptionWhen using an array of texts with "Numbers only" turned On, negative numbers are not allowed to be entered (minus sign is removed when trying to enter it)

The reason to use array of texts instead of array of numbers if because of the grand total options the former has, which is not present in the later.
Steps To Reproduce1. Create and "Array (Texts)" question
2. Set "Numbers only" to "On"
3. Preview question and try to enter a negative number in any of the input fields
Additional InformationChangelog for 2.59.0+ 170115 doesn't mention this is fixed.
TagsNo tags attached.
Complete LimeSurvey version number (& build)2.58.2+170114
I will donate to the project if issue is resolvedNo
BrowserGoogle Chrome Version 49.0.2623.110
Database & DB-VersionMySQL 14.14 Distrib 5.5.49, for Linux (x86_64)
Operating System (Server)CentOS 6.7
Webserver software & versionApache/2.2.15 (Unix)
PHP VersionPHP 5.6.21

Activities

segui

segui

2017-01-30 16:41

reporter   ~42884

On "Steps to reproduce":

2.5. Set "Show totals for" to "Rows"

The problem only occurs when "Show totals for" is set to anything but "Off" (Rows, Columns, or both).

When totals are not used, the array of texts allows negative numbers as expected.

user78869

2017-03-28 12:40

  ~43355

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=22512
c_schmitz

c_schmitz

2017-05-22 17:39

administrator   ~43682

Release 2.65.1 Build 170522

Related Changesets

LimeSurvey: master 9841a6d9

2017-03-28 12:40:27

user78869

Details Diff
Fixed issue 12076: Array of texts set to "numbers only" doesn't allow negative values
mod - scripts/array-totalsum.js Diff File

Issue History

Date Modified Username Field Change
2017-01-23 17:14 segui New Issue
2017-01-30 16:41 segui Note Added: 42884
2017-01-31 16:12 c_schmitz Assigned To => markusfluer
2017-01-31 16:12 c_schmitz Status new => assigned
2017-01-31 16:12 c_schmitz Priority none => normal
2017-03-28 12:40 user78869 Changeset attached => LimeSurvey master 9841a6d9
2017-03-28 12:40 user78869 Note Added: 43355
2017-03-28 12:40 user78869 Assigned To markusfluer => user78869
2017-03-28 12:40 user78869 Resolution open => fixed
2017-03-28 12:41 markusfluer Status assigned => resolved
2017-03-28 12:41 markusfluer Fixed in Version => 2.64.x
2017-05-22 17:39 c_schmitz Note Added: 43682
2017-05-22 17:39 c_schmitz Status resolved => closed